<?php
/*
Alexa Graph Admin Page
*/


?>
	<h2><?php echo __( 'Alexa Graphs : ','WP-SEOstats' ) ?></h2>

	<div id="WP-SEOstats-admin-Alexa">
	<?php
		
		

try {
    $url = site_url();

    // Create a new SEOstats instance.
    $seostats = new \SEOstats\SEOstats;
	
	//get alexa rank (http query)
	include( plugin_dir_path( __FILE__ ) . 'Alexa-xml.php');
	
	
    // Bind the URL to the current SEOstats instance.
    if ($seostats->setUrl($url)) {
		
		echo	'<span id="WP_SEOstatsalexa" title="Alexa Global Rank"><h4>'. __('Alexa Global Site Rank:', 'WP-SEOstats').' <b>'. number_format(intval($rank)) .'</b></h4> </span>
				<span id="WP_SEOstatsalexa" title="Alexa Rank change versus the previous 3 months."><h4>' .__('Alexa Site rank change:', 'WP-SEOstats').' <span style="'.$rankCss.'">'. number_format(intval($rankChange)) .'</span></h4> </span>
				<span id="WP_SEOstatsalexa" title="Alexa Global Rank"><h4>' .__('Alexa Site Title:', 'WP-SEOstats').' <b>'. $siteTitle .'</b></h4> </span>
				<span id="WP_SEOstatsalexa" title="Alexa Global Rank"><h4>' .__('Alexa Site Description:', 'WP-SEOstats').' <b>'. $siteDesc .'</b></h4> </span>
				<span id="WP_SEOstatsalexa" title="Alexa Total Sites Linking In"><h4>' .__('Alexa Total Sites Linking In:', 'WP-SEOstats').' <b>'. $linksIn .'</b></h4> </span>
				<span id="WP_SEOstatsalexa" title="Alexa Total Sites Linking In"><h4>' .__('Alexa Country:', 'WP-SEOstats').' <b>'. $country .'</b></h4> </span>
			<br/><br/>';
	
        /**
         *  Print HTML code for the 'daily traffic trend'-graph.
         */
        echo \SEOstats\Services\Alexa::getTrafficGraph(1);

        /**
         *  Print HTML code for the 'daily pageviews (percent)'-graph.
         */
        echo \SEOstats\Services\Alexa::getTrafficGraph(2);

        /**
         *  Print HTML code for the 'daily pageviews per user'-graph.
         */
        echo \SEOstats\Services\Alexa::getTrafficGraph(3);

        /**
         *  Print HTML code for the 'time on site (in minutes)'-graph.
         */
        echo \SEOstats\Services\Alexa::getTrafficGraph(4);

        /**
         *  Print HTML code for the 'bounce rate (percent)'-graph.
         */
        echo \SEOstats\Services\Alexa::getTrafficGraph(5);

        /**
         *  Print HTML code for the 'search visits'-graph, using
         *  specific graph dimensions of 320*240 px.
         */
        echo \SEOstats\Services\Alexa::getTrafficGraph(6, false, 320, 240);
    }
}
catch (\Exception $e) {
    echo 'Caught SEOstatsException: ' .  $e->getMessage();
}
?>	