<?php
/*
SemRush Graph Admin Page
*/


?>
	<h2><?php echo __( 'SemRush Graphs : ','WP-SEOstats' ) ?></h2>
	<div id="WP-SEOstats-admin-Alexa">
	<?php
		
		
try {
   $url = site_url();

    // Create a new SEOstats instance.
    $seostats = new \SEOstats\SEOstats;

    // Bind the URL to the current SEOstats instance.
    if ($seostats->setUrl($url)) {

        /**
         *  Print HTML code for the 'search engine traffic'-graph.
         */
        echo \SEOstats\Services\SemRush::getDomainGraph(1);

        /**
         *  Print HTML code for the 'search engine traffic price'-graph.
         */
        echo \SEOstats\Services\SemRush::getDomainGraph(2);

        /**
         *  Print HTML code for the 'number of adwords ads'-graph,
         *  using explicitly SEMRush's data for google.de (german index).
         */
        echo \SEOstats\Services\SemRush::getDomainGraph(3, false, 'de');

        /**
         *  Print HTML code for the 'adwords traffic'-graph, using
         *  explicitly SEMRush's data for google.de (german index)
         *  and specific graph dimensions of 320*240 px.
         */
        echo \SEOstats\Services\SemRush::getDomainGraph(4, false, 'de', 320, 240);

        /**
         *  Print HTML code for the 'adwords traffic price'-graph,
         *  using explicitly SEMRush's data for google.de (german index),
         *  specific graph dimensions of 320*240 px and specific
         *  graph colors (black lines and red dots for data points).
         */
        echo \SEOstats\Services\SemRush::getDomainGraph(5, false, 'de', 320, 240, '000000', 'ff0000');
    }
}
catch (\Exception $e) {
    echo 'Caught SEOstatsException: ' .  $e->getMessage();
}
?>	